from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import File, String, Int, Boolean

Qcstr_V0_1_0 = CommandToolBuilder(tool="qcSTR", base_command=["qcSTR"], inputs=[ToolInput(tag="in_vcf", input_type=File(optional=True), prefix="--vcf", doc=InputDocumentation(doc="VCF file to analyze.")), ToolInput(tag="in_out", input_type=String(optional=True), prefix="--out", doc=InputDocumentation(doc="Output prefix for files generated")), ToolInput(tag="in_vcf_type", input_type=String(optional=True), prefix="--vcftype", doc=InputDocumentation(doc="Which type of VCF to restrict the input to, or 'auto'\nfor no restrction (default: auto)")), ToolInput(tag="in_samples", input_type=File(optional=True), prefix="--samples", doc=InputDocumentation(doc="File containing list of samples to include")), ToolInput(tag="in_period", input_type=Int(optional=True), prefix="--period", doc=InputDocumentation(doc="Only consider repeats with this motif length")), ToolInput(tag="in_quality", input_type=String(optional=True), prefix="--quality", doc=InputDocumentation(doc="Which quality plot(s) to produce. May be specified\nmore than once. See the README for more info (default:\n[])")), ToolInput(tag="in_quality_ignore_no_call", input_type=Boolean(optional=True), prefix="--quality-ignore-no-call", doc=InputDocumentation(doc="Exclude no-calls and calls without quality scores from\nquality graph distributions instead of the default,\nwhich is to include them as zero quality calls.\nSetting this can cause the plotting to crash if it\nreduces the number of valid calls (in a strata) to <=\n1 (default: False)")), ToolInput(tag="in_ref_bias_metric", input_type=String(optional=True), prefix="--refbias-metric", doc=InputDocumentation(doc="Which metric to use for the y-axis on the reference\nbias plot. (default: mean)")), ToolInput(tag="in_ref_bias_min_gts", input_type=Int(optional=True), prefix="--refbias-mingts", doc=InputDocumentation(doc="Don't compute points for the reference bias plot based\non fewer than this many genotypes (default: 100)")), ToolInput(tag="in_ref_bias_x_range_min", input_type=Int(optional=True), prefix="--refbias-xrange-min", doc=InputDocumentation(doc="Minimum x-axis value (bp) to show on the reference\nbias plot (default: 0)")), ToolInput(tag="in_ref_bias_x_range_max", input_type=Int(optional=True), prefix="--refbias-xrange-max", doc=InputDocumentation(doc="Maximum x-axis value (bp) to show on the reference\nbias plot (default: 100)")), ToolInput(tag="in_ref_bias_binsize", input_type=Int(optional=True), prefix="--refbias-binsize", doc=InputDocumentation(doc="Size (bp) of x-axis bins for the reference bias plot\n(default: 5)")), ToolInput(tag="in_num_records", input_type=Int(optional=True), prefix="--numrecords", doc=InputDocumentation(doc="Only process this many records")), ToolInput(tag="in_tool", input_type=String(), position=0, doc=InputDocumentation(doc="")), ToolInput(tag="in_for", input_type=String(), position=1, doc=InputDocumentation(doc="")), ToolInput(tag="in_generating", input_type=String(), position=2, doc=InputDocumentation(doc="")), ToolInput(tag="in_various", input_type=String(), position=3, doc=InputDocumentation(doc="")), ToolInput(tag="in_qc", input_type=String(), position=4, doc=InputDocumentation(doc="")), ToolInput(tag="in_plots", input_type=String(), position=5, doc=InputDocumentation(doc="")), ToolInput(tag="in_tr", input_type=String(), position=7, doc=InputDocumentation(doc="")), ToolInput(tag="in_call_sets", input_type=String(), position=8, doc=InputDocumentation(doc=""))], outputs=[], container="quay.io/biocontainers/trtools:4.0.0--py_0", version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Qcstr_V0_1_0().translate("wdl")

